# 32/64bit spec-file
#
%define version	1.2.0
%define release	%mkrel 8

%define libname_orig lib%{name}
%define libname %mklibname %{name} 10
%define _disable_ld_no_undefined 1

Name:		sary
Summary:	Sary is a set of a suffix array library and tools
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	LGPL
URL:		http://prime.sourceforge.jp/src/
Source0:	%{name}-%{version}.tar.xz
Patch0:		sary-linkage_fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel
Requires:	%{libname} = %{version}

%description
Sary is a suffix array library and tools. It provides fast
full-text search facilities for text files on the order of
10 to 100 MB using a data structure called a suffix array.
It can also search specific fields in a text file by
assigning index points to those fields. 


%package -n %{libname}
Summary:	Sary library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
sary library.

%package -n %{libname}-devel
Summary:	Headers of uim for development
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: 	libsary0-devel

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q
%apply_patches

%build
[[ ! -x configure ]] && ./autogen.sh

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT/%{_libdir}/libsary.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mksary
%{_bindir}/sary
%{_datadir}/%name
%_mandir/man*/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libsary.so.10.0.0

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/libsary.so
%{_libdir}/libsary.so.10
%{_libdir}/pkgconfig/sary.pc


%changelog
* Wed Nov 12 2014 bb <bb> 1.2.0-8pclos2014
- rebuild drop .la and .a files

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 1.2.0-7pclos2013
- rebuild on 64

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.2.0-6pclos2007
- Build for PCLinuxOS 2007

